ROLLBACK(7)

NAME
ROLLBACK - abort the current transaction

SYNOPSIS

ROLLBACK [ WORK | TRANSACTION ]

DESCRIPTION

ROLLBACK rolls back the current transaction and causes all the updates made by the transaction to be discarded.

PARAMETERS

WORK
TRANSACTION
    Optional key words. They have no effect.

NOTES

Use COMMIT(7) to successfully terminate a transaction.

Issuing ROLLBACK outside of a transaction block emits a warning and otherwise has no effect.

EXAMPLES

To abort all changes:

    ROLLBACK;

COMPATIBILITY

The SQL standard only specifies the two forms ROLLBACK and ROLLBACK WORK. Otherwise, this command is fully conforming.

SEE ALSO
BEGIN(7), COMMIT(7), ROLLBACK TO SAVEPOINT (ROLLBACK_TO_SAVEPOINT(7))